com.holonplatform.datastore.jdbc.composer

## Interface OrderBySort

- All Superinterfaces:
    com.holonplatform.core.Expression, com.holonplatform.core.query.QuerySort, Serializable
  All Known Implementing Classes:
    DefaultOrderBySort

      public interface OrderBySort
      extends com.holonplatform.core.query.QuerySort

  A `QuerySort` which uses SQL order by directives to express sorts.
  Since:
    5.0.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.query.QuerySort

      `com.holonplatform.core.query.QuerySort.CompositeQuerySort, com.holonplatform.core.query.QuerySort.PathQuerySort<T>, com.holonplatform.core.query.QuerySort.QuerySortResolver<T extends com.holonplatform.core.query.QuerySort>, com.holonplatform.core.query.QuerySort.QuerySortSupport<C extends com.holonplatform.core.query.QuerySort.QuerySortSupport<C>>, com.holonplatform.core.query.QuerySort.SortDirection`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.Expression

      `com.holonplatform.core.Expression.ExpressionResolverFunction<E extends com.holonplatform.core.Expression,R extends com.holonplatform.core.Expression>, com.holonplatform.core.Expression.InvalidExpressionException`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OrderBySort` | `create(String sql)` Create a `OrderBySort` using given `sql` sort directives.
    `String` | `getSQL()` Get the order by directives as sql.

    - ### Methods inherited from interface com.holonplatform.core.query.QuerySort

      `and, asc, desc, of, of, of, of`

    - ### Methods inherited from interface com.holonplatform.core.Expression

      `validate`

- - ### Method Detail

    - #### getSQL

          String getSQL()

      Get the order by directives as sql.

      NOTE: The `ORDER BY` clause string should not be included.

      Returns:
        Ordering sql

    - #### create

          static OrderBySort create(String sql)

      Create a `OrderBySort` using given `sql` sort directives. For example `col1 asc, col2 desc`.
      Parameters:
        `sql` - Sql sort directives (not null)
      Returns:
        A new `OrderBySort`

Copyright © 2019 The Holon Platform. All rights reserved.